/****************************************************************************/
/*			PROTOTYPES
/****************************************************************************/

extern	char		*testLoadFile(char *filename, char *mem);
extern	int		init_midi();
extern	void		remove_midi();
extern	int		load_song(char *hmpfile, char *buffer);
extern	void		remove_song(void);
extern	int		play_song(void);
extern	void		stop_song(void);
extern	void		fade_insong(int secs);
extern	void		fade_outsong(int secs);
extern	void		pause_song(void);
extern	void		unpause_song(void);
extern	void		settempo_song(int percent);	//1-100
extern	void		loop_song(void);
extern	void		setvol_song(int vol);			//0-127
extern	void		clr_structure(int sz, char *s);

/****************************************************************************/

typedef struct config
{
	int	language;
	int	midi;
	int	sfx;
	int	play1;
	int	play2;
	int	mouse;
	int	sfx_bit;
	int	mem_dump;
	int	vga_dump;
	int	cpu_rating;
	int	midi_port;
	int	snd_port;
	int	snd_dma;
	int	snd_irq;
	int	midi_irq;
	int	snd8_port;
	int	snd8_dma;
	int	snd8_irq;
	int	players;

	int	joy_xmin;
	int	joy_xmax;
	int	joy_ymin;
	int	joy_ymax;

/*	short	joy1_xc;
	short	joy1_yc;
	short	joy1_lscale;
	short	joy1_rscale;
	short	joy1_uscale;
	short	joy1_dscale;
	short	joy1_x;
	short	joy1_y;
	unsigned short	joy1_xcentre;
	unsigned short	joy1_ycentre;
	short	joy1_lthresh;
	short	joy1_rthresh;
	short	joy1_uthresh;
	short	joy1_dthresh;

	short	joy2_xc;
	short	joy2_yc;
	short	joy2_lscale;
	short	joy2_rscale;
	short	joy2_uscale;
	short	joy2_dscale;
	short	joy2_x;
	short	joy2_y;
	unsigned short	joy2_xcentre;
	unsigned short	joy2_ycentre;
	short	joy2_lthresh;
	short	joy2_rthresh;
	short	joy2_uthresh;
	short	joy2_dthresh;*/

}CFIG;

/****************************************************************************/

extern	CFIG	*cf;
extern	CFIG	config;
extern	char	sos_flag;
extern	int	file_len;

/****************************************************************************/





  
